```async def on_submit(self, interaction: discord.Interaction):
    value = self.donation_value.value

    # Defer the interaction response to extend time window
    await interaction.response.defer()

    # Verificar se o valor é válido
    if value not in ["10", "20", "30"]:
        await interaction.followup.send("Valor inválido. Escolha entre R$10, R$20 ou R$30.", ephemeral=True)
        return

    # Gerar o pagamento Pix
    resultado = gerar_pix(float(value), self.character_name)

    if "erro" in resultado:
        await interaction.followup.send(f"Erro ao gerar o Pix: {resultado['erro']}", ephemeral=True)
        return

    # Obter os detalhes do pagamento Pix
    qr_code_url = resultado.get("qrcode_url", None)  # Agora pegamos qrcode_url
    cob_id = resultado.get("txid", None)
    pix_copia_e_cola = resultado.get("pixCopiaECola", "Não disponível")  # Aqui extraímos o valor
    QRCODEIMAGEBB = resultado.get("QRCODEIMAGE", "Não disponível")  # Aqui extraímos o valor

    if not QRCODEIMAGEBB:
        await interaction.followup.send("Erro ao gerar o QR Code: Imagem não encontrada.", ephemeral=True)
        return

    try:
        # Decodificar a imagem Base64 para BytesIO
        image_data = base64.b64decode(QRCODEIMAGEBB)
        buffer = BytesIO(image_data)
        buffer.seek(0)

        # Criar arquivo de imagem para envio
        file = discord.File(fp=buffer, filename="qrcode.png")

        await interaction.followup.send(
            f"Use o Pix Copia e Cola abaixo ou escaneie o QR Code para completar a doação para {self.character_name} (Level: {self.level}, Clan: {self.clan}).\n\nPix Copia e Cola: `{pix_copia_e_cola}`",
            file=file, ephemeral=True
        )
    except Exception as e:
        await interaction.followup.send(f"Erro ao processar a imagem do QR Code: {str(e)}", ephemeral=True)
        return

    # Verificar o pagamento repetidamente até ser confirmado
    await self.verificar_pagamento_continuo(interaction, cob_id, value)```